Part Cylinder/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav|[[Part_Cone|Cone]]|[[Part_Sphere|Sphere]]|[[Part_Module|Part]]|IconL=Part_Cone.png|IconC=Workbench_Part.svg|IconR=Part_Sphere.png}}


{{Docnav
{{GuiCommand/sv|Name=Part Cylinder|Name/sv=Part Cylinder|MenuLocation=Part → Cylinder||Workbenches=[[Part Module/sv|Part]], Complete|SeeAlso=[[Part CreatePrimitives/sv|Part CreatePrimitives]]}}
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
== Description ==
{{GuiCommand/sv|Name=Part Cylinder|Name/sv=Part Cylinder|MenuLocation=Part → Cylinder||Workbenches=[[Part_Workbench/sv|Part]], Complete|SeeAlso=[[Part CreatePrimitives/sv|Part CreatePrimitives]]}}
Creates a simple parametric cylinder, with position, angle, radius and height parameters.
</div>


== How to use ==
==Description==
In the workbench [[Part_Workbench|Part]] click on the cube icon [[Image:Part_Cylinder.png|32px]]. The default is for a full cylinder to be positioned, the centre of one circular face coincident with the global origin (point 0,0,0), with a radius of 2mm and height of 10mm.


The [[Image:Part_Cylinder.svg|24px]] '''Part Cylinder''' command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cylinder lies on the XY plane with its center at the origin.
== Options ==
The properties can later be edited in the data tab for the cylinder:


A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]


[[Image:Part_Cylinder_Example.png|400px]]
==== Cylinder====
* {{Parameter|Angle:}} The angle parameter permits the creation of a portion of cylinder (it is set to 360° by default)
* {{Parameter|Height:}} The height is the distance in the z-axis
* {{Parameter|Radius:}} The radius defines a plane in x-y.


==Usage==


# There are several ways to invoke the command:
{{Docnav|[[Part_Cone|Cone]]|[[Part_Sphere|Sphere]]|[[Part_Module|Part]]|IconL=Part_Cone.png|IconC=Workbench_Part.svg|IconR=Part_Sphere.png}}
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part_Cylinder|Part Cylinder]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
# The cylinder is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the cylinder by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
{{Part Tools navi}}


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]
{{Userdocnavi}}


A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.
{{clear}}

== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}

* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav
|[[Part_Box|Box]]
|[[Part_Sphere|Sphere]]
|[[Part_Workbench|Part]]
|IconL=Part_Box.svg
|IconR=Part_Sphere.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:55, 4 March 2022

Part Cylinder

Menyplacering
Part → Cylinder
Arbetsbänkar
Part, Complete
Standard genväg
Ingen
Introducerad i version
-
Se även
Part CreatePrimitives

Description

The Part Cylinder command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the cylinder lies on the XY plane with its center at the origin.

A Part Cylinder can be turned into a segment of a cylinder by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and DataPlacement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DataRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DataHeight (Length): The height of the cylinder. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DataFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DataSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()